import request from '@/utils/request'

// 代理商获取设备列表
export function agentListDevice(params) {
  return request({
    url: "/agent/device/list",
    method: 'get',
    params
  })
}

// 代理商获取设备详情
export function agentGetDevice(deviceId) {
  return request({
    url: `/agent/device/${deviceId}`,
    method: 'get'
  })
}

// 代理商修改设备信息
export function agentUpdateDevice(data) {
  return request({
    url: `/agent/device`,
    method: 'put',
    data
  })
}

